directories
  '*.ICO' = 'C:\Program Files\Control Web 2000\ico';
end_directories;

settings
  operation_mode = real_time;
  input_timeout = 2;
  output_timeout = 2;
  time_error_limit = 2;
  paint_time_limit = 2;
  skip_init_procedures = true;
end_settings;

const
end_const;

var
end_var;

driver
  pcd = 'cw_pcd7004.dll', 'Pcd7004.dmf', 'Pcd7004.par';
end_driver;

channel
  k0 = boolean, 0, pcd, input;
  k1 = boolean, 1, pcd, input;
  k10 = boolean, 10, pcd, input;
  k11 = boolean, 11, pcd, input;
  k12 = boolean, 12, pcd, input;
  k13 = boolean, 13, pcd, input;
  k14 = boolean, 14, pcd, input;
  k15 = boolean, 15, pcd, input;
  k16 = boolean, 16, pcd, input;
  k17 = boolean, 17, pcd, input;
  k18 = boolean, 18, pcd, input;
  k19 = boolean, 19, pcd, input;
  k2 = boolean, 2, pcd, input;
  k20 = boolean, 20, pcd, input;
  k21 = boolean, 21, pcd, input;
  k22 = boolean, 22, pcd, input;
  k23 = boolean, 23, pcd, input;
  k24 = boolean, 24, pcd, input;
  k25 = boolean, 25, pcd, input;
  k26 = boolean, 26, pcd, input;
  k27 = boolean, 27, pcd, input;
  k28 = boolean, 28, pcd, input;
  k29 = boolean, 29, pcd, input;
  k3 = boolean, 3, pcd, input;
  k30 = boolean, 30, pcd, input;
  k31 = boolean, 31, pcd, input;
  k32 = longcard, 32, pcd, input;
  k33 = longcard, 33, pcd, input;
  k34 = longcard, 34, pcd, input;
  k35 = longcard, 35, pcd, input;
  k4 = boolean, 4, pcd, input;
  k40 = boolean, 40, pcd, output, false;
  k41 = boolean, 41, pcd, output, false;
  k42 = boolean, 42, pcd, output, false;
  k43 = boolean, 43, pcd, output, false;
  k44 = boolean, 44, pcd, output, false;
  k45 = boolean, 45, pcd, output, false;
  k46 = boolean, 46, pcd, output, false;
  k47 = boolean, 47, pcd, output, false;
  k48 = boolean, 48, pcd, output, false;
  k49 = boolean, 49, pcd, output, false;
  k5 = boolean, 5, pcd, input;
  k50 = boolean, 50, pcd, output, false;
  k51 = boolean, 51, pcd, output, false;
  k52 = boolean, 52, pcd, output, false;
  k53 = boolean, 53, pcd, output, false;
  k54 = boolean, 54, pcd, output, false;
  k55 = boolean, 55, pcd, output, false;
  k56 = boolean, 56, pcd, output, false;
  k57 = boolean, 57, pcd, output, false;
  k58 = boolean, 58, pcd, output, false;
  k59 = boolean, 59, pcd, output, false;
  k6 = boolean, 6, pcd, input;
  k60 = boolean, 60, pcd, output, false;
  k61 = boolean, 61, pcd, output, false;
  k62 = boolean, 62, pcd, output, false;
  k63 = boolean, 63, pcd, output, false;
  k64 = boolean, 64, pcd, output, false;
  k65 = boolean, 65, pcd, output, false;
  k66 = boolean, 66, pcd, output, false;
  k67 = boolean, 67, pcd, output, false;
  k68 = boolean, 68, pcd, output, false;
  k69 = boolean, 69, pcd, output, false;
  k7 = boolean, 7, pcd, input;
  k70 = boolean, 70, pcd, output, false;
  k71 = boolean, 71, pcd, output, false;
  k72 = longcard, 72, pcd, output, 0;
  k73 = longcard, 73, pcd, output, 0;
  k74 = longcard, 74, pcd, output, 0;
  k75 = longcard, 75, pcd, output, 0;
  k8 = boolean, 8, pcd, input;
  k9 = boolean, 9, pcd, input;
end_channel;

timer
end_timer;

instrument

  window panel backpane;
    rem = 'hlavn panel aplikace';
    owner = background;
    position = 3, 21, 1018, 716;
    win_disable = zoom;
    win_title = 'Pcd7004';
    visibility = false;
  end_panel;

  control control_2;
    owner = backpane;
    position = 647, 224, 35, 20;
    send_same_data;
    output = k75;
    mode = edit_box;
    range_to = 255;
    dec_places = 0;
  end_control;

  control control_2;
    owner = backpane;
    position = 647, 204, 35, 20;
    send_same_data;
    output = k74;
    mode = edit_box;
    range_to = 255;
    dec_places = 0;
  end_control;

  control control_2;
    owner = backpane;
    position = 647, 184, 35, 20;
    send_same_data;
    output = k73;
    mode = edit_box;
    range_to = 255;
    dec_places = 0;
  end_control;

  meter meter_1;
    timer = 0.2;
    owner = backpane;
    position = 282, 224, 35, 20;
    expression = k35;
    mode = text_display;
    range_to = 1000;
    low_limit = 0;
    high_limit = 1000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 9, bold;
    colors
      ink = lyellow;
      paper = yellow;
      value = yellow;
      low_limit = yellow;
      high_limit = yellow;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.2;
    owner = backpane;
    position = 282, 204, 35, 20;
    expression = k34;
    mode = text_display;
    range_to = 1000;
    low_limit = 0;
    high_limit = 1000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 9, bold;
    colors
      ink = lyellow;
      paper = yellow;
      value = yellow;
      low_limit = yellow;
      high_limit = yellow;
    end_colors;
  end_meter;

  meter meter_1;
    timer = 0.2;
    owner = backpane;
    position = 282, 184, 35, 20;
    expression = k33;
    mode = text_display;
    range_to = 1000;
    low_limit = 0;
    high_limit = 1000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 9, bold;
    colors
      ink = lyellow;
      paper = yellow;
      value = yellow;
      low_limit = yellow;
      high_limit = yellow;
    end_colors;
  end_meter;

  control control_2;
    owner = backpane;
    position = 647, 164, 35, 20;
    send_same_data;
    output = k72;
    mode = edit_box;
    range_to = 255;
    dec_places = 0;
  end_control;

  meter meter_1;
    timer = 0.2;
    owner = backpane;
    position = 282, 164, 35, 20;
    expression = k32;
    mode = text_display;
    range_to = 1000;
    low_limit = 0;
    high_limit = 1000;
    dec_places = 0;
    font = 'MS Sans Serif (Central European)', 9, bold;
    colors
      ink = lyellow;
      paper = yellow;
      value = yellow;
      low_limit = yellow;
      high_limit = yellow;
    end_colors;
  end_meter;

  switch switch_3;
    owner = backpane;
    position = 607, 224, 21, 21;
    output = k71;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 587, 224, 21, 21;
    output = k70;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 567, 224, 21, 21;
    output = k69;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 547, 224, 21, 21;
    output = k68;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 527, 224, 21, 21;
    output = k67;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 507, 224, 21, 21;
    output = k66;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 487, 224, 21, 21;
    output = k65;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 467, 224, 21, 21;
    output = k64;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 607, 204, 21, 21;
    output = k63;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 587, 204, 21, 21;
    output = k62;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 567, 204, 21, 21;
    output = k61;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 547, 204, 21, 21;
    output = k60;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 527, 204, 21, 21;
    output = k59;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 507, 204, 21, 21;
    output = k58;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 487, 204, 21, 21;
    output = k57;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 467, 204, 21, 21;
    output = k56;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 607, 184, 21, 21;
    output = k55;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 587, 184, 21, 21;
    output = k54;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 567, 184, 21, 21;
    output = k53;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 547, 184, 21, 21;
    output = k52;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 527, 184, 21, 21;
    output = k51;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 507, 184, 21, 21;
    output = k50;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 487, 184, 21, 21;
    output = k49;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 467, 184, 21, 21;
    output = k48;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 607, 164, 21, 21;
    output = k47;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 587, 164, 21, 21;
    output = k46;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 567, 164, 21, 21;
    output = k45;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 547, 164, 21, 21;
    output = k44;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 527, 164, 21, 21;
    output = k43;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 507, 164, 21, 21;
    output = k42;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 487, 164, 21, 21;
    output = k41;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  switch switch_3;
    owner = backpane;
    position = 467, 164, 21, 21;
    output = k40;
    true_icon = 'LED16YON.ICO';
    false_icon = 'LED16YOF.ICO';
  end_switch;

  label label_2;
    owner = backpane;
    position = 382, 229;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'DOUT24-31';
  end_label;

  label label_2;
    owner = backpane;
    position = 382, 209;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'DOUT16-23';
  end_label;

  label label_2;
    owner = backpane;
    position = 382, 189;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'DOUT8-15';
  end_label;

  label label_2;
    owner = backpane;
    position = 382, 169;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'DOUT0-7';
  end_label;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 257, 229;
    expression = k31;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 237, 229;
    expression = k30;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 217, 229;
    expression = k29;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 197, 229;
    expression = k28;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 177, 229;
    expression = k27;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 157, 229;
    expression = k26;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 137, 229;
    expression = k25;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 117, 229;
    expression = k24;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 257, 209;
    expression = k23;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 237, 209;
    expression = k22;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 217, 209;
    expression = k21;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 197, 209;
    expression = k20;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 177, 209;
    expression = k19;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 157, 209;
    expression = k18;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 137, 209;
    expression = k17;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 117, 209;
    expression = k16;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 257, 189;
    expression = k15;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 237, 189;
    expression = k14;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 217, 189;
    expression = k13;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 197, 189;
    expression = k12;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 177, 189;
    expression = k11;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 157, 189;
    expression = k10;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 137, 189;
    expression = k9;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 117, 189;
    expression = k8;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  label label_2;
    owner = backpane;
    position = 42, 229;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'DIN24-31';
  end_label;

  label label_2;
    owner = backpane;
    position = 42, 209;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'DIN16-23';
  end_label;

  label label_2;
    owner = backpane;
    position = 42, 189;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'DIN8-15';
  end_label;

  label label_2;
    owner = backpane;
    position = 42, 169;
    font = 'Tahoma (Central European)', 8, bold;
    text = 'DIN0-7';
  end_label;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 257, 169;
    expression = k7;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 237, 169;
    expression = k6;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 217, 169;
    expression = k5;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 197, 169;
    expression = k4;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 177, 169;
    expression = k3;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 157, 169;
    expression = k2;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 137, 169;
    expression = k1;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  indicator indicator_1;
    timer = 0.2;
    owner = backpane;
    position = 117, 169;
    expression = k0;
    true_icon = 'LED16GON.ICO';
    false_icon = 'LED16GOF.ICO';
  end_indicator;

  label label_1;
    owner = backpane;
    position = 282, 24;
    font = 'MS Sans Serif (Central European)', 24, bold;
    text = 'PCD-7004';
    colors
      ink = lred;
    end_colors;
  end_label;

  program startup;
    
    procedure OnActivate();
    begin
      backpane.NewRect( WorkX, WorkY, WorkW, WorkD );
      backpane.Show();
      backpane.Select();
    end_procedure;
    
  end_program;

end_instrument;

